al_fget_ustr(3)

NAME

al_fget_ustr - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    ALLEGRO_USTR *al_fget_ustr(ALLEGRO_FILE *f)

DESCRIPTION

Read a string of bytes terminated with a newline or end-of-file. The line terminator(s), if any, are included in the returned string.

On success returns a pointer to a new ALLEGRO_USTR structure. This must be freed eventually with al_ustr_free(3). Returns NULL if an error occurred or if the end of file was reached without reading any bytes.

See al_fopen(3) about translations of end-of-line characters.

SEE ALSO

al_fgetc(3), al_fgets(3)